<div>
  <table class="table table-striped jobcontrol">
    <thead>
    <tr>
      <th scope="col">
        <span class="spinner-border spinner-border-sm ml-2 bg-white" role="status" aria-hidden="true"
              *ngIf="isUpdating"></span>
        <span *ngIf="!isUpdating">#</span>
      </th>
      <th scope="col">job label</th>
      <th scope="col">creation time</th>
      <th scope="col">status</th>
      <th scope="col">results</th>
      <th scope="col"></th>
    </tr>
    </thead>
    <tbody>
    <tr *ngIf="jobs == undefined">
      <td colspan="4">
        <span class="spinner-border spinner-border-sm ml-2 bg-white" role="status" aria-hidden="true"></span>
        Loading...
      </td>
    </tr>
    <tr *ngIf="jobs != undefined && jobs.length < 1">
      <td colspan="4"><span class="ml-2">no jobs yet.</span></td>
    </tr>
    <tr *ngFor="let job of jobs; index as i">
      <th scope="row">{{ i + 1 }}</th>
      <td>
        {{ job.parameters.jobLabel }}
      </td>
      <td>
        {{ job.creationdate | date:'yyyy-MM-dd  HH:mm' }}
      </td>
      <td>
        {{ job.statusmessage }}
      </td>
      <td>
        <span *ngIf="job.downloadURL != ''">
          <button mat-flat-button 
          class = "view-download-button"
          (click)="getView(job.prophaneJobUUID)">
          View
        </button>
      </span> |
        <span *ngIf="job.downloadURL != ''">
          <button mat-flat-button
          class = "view-download-button"
          (click)="getDownload(job.prophaneJobUUID)">
          Download
        </button>
      </span>
      </td>
      <td>
        <button mat-flat-button color="warn" (click)="confirmDelete(i, job.prophaneJobUUID)">delete</button>
      </td>
    </tr>
    </tbody>
  </table>
</div>
